System.ComponentModel.DataAnnotations 4.0.0.0 System.Attribute System.AttributeUsage(System.AttributeTargets.Property | System.AttributeTargets.Field | System.AttributeTargets.All, AllowMultiple=false) To be added.

Represents a column attribute.

- Constructor
  4.0.0.0
  To be added.

  Initializes a new instance of the class.

- Constructor
  4.0.0.0
  To be added.

  Initializes a new instance of the class.

  The name of the column attribute.
- Property
  4.0.0.0
  System.String To be added. To be added.

  Gets the name of the attribute.

- Property
  4.0.0.0
  System.Int32 To be added.

  The specified order is relative to the order values specified on other properties in the class. For example, given the following definition, the column appears before , and appears before .

  `public class Address { [Column(Order = 1)] public string Line1 { get; set; } [Column(Order = 4)] public string Line2 { get; set; } [Column(Order = 17)] public string Country { get; set; } }`

  Gets or sets the order of the column.

- Property
  4.0.0.0
  System.String To be added. To be added.

  Gets or sets the name of the class that the represents.